package com.mortals.xhx.module.record.model;

import java.util.Date;
import java.util.List;
import com.mortals.xhx.module.record.model.ApplyLogEntity;
/**
 * 证照申请查询对象
 *
 * @author zxfei
 * @date 2022-10-18
 */
public class ApplyLogQuery extends ApplyLogEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 证件编号 */
    private List<String> certificateCodeList;

    /** 证件名称 */
    private List<String> certificateNameList;

    /** 开始 颁发时间 */
    private String issueTimeStart;

    /** 结束 颁发时间 */
    private String issueTimeEnd;

    /** 取件人姓名 */
    private List<String> pickerNameList;

    /** 取件人证件号码 */
    private List<String> pickerIDCardNoList;

    /** 开始 持有者类型，1：自然人，2：法人，3：自然人法人 */
    private Integer holderTypeStart;

    /** 结束 持有者类型，1：自然人，2：法人，3：自然人法人 */
    private Integer holderTypeEnd;

    /** 增加 持有者类型，1：自然人，2：法人，3：自然人法人 */
    private Integer holderTypeIncrement;

    /** 持有者类型，1：自然人，2：法人，3：自然人法人列表 */
    private List <Integer> holderTypeList;

    /** 开始 持有者证件类型，1：身份证，2：组织机构代码等 */
    private Integer holderIdTypeStart;

    /** 结束 持有者证件类型，1：身份证，2：组织机构代码等 */
    private Integer holderIdTypeEnd;

    /** 增加 持有者证件类型，1：身份证，2：组织机构代码等 */
    private Integer holderIdTypeIncrement;

    /** 持有者证件类型，1：身份证，2：组织机构代码等列表 */
    private List <Integer> holderIdTypeList;

    /** 持有者名称 */
    private List<String> holderNameList;

    /** 持有者证件号码 */
    private List<String> holderIDCardNoList;

    /** 企业名称 */
    private List<String> enterpriseNamList;

    /** 开始 有效期起始 */
    private String validityStartStart;

    /** 结束 有效期起始 */
    private String validityStartEnd;

    /** 开始 有效期截止 */
    private String validityEndStart;

    /** 结束 有效期截止 */
    private String validityEndEnd;

    /** 专网ID */
    private List<String> privateIDList;

    /** 正本附件地址 */
    private List<String> originalUrlList;

    /** 证照模板正本表单内容 */
    private List<String> oriFormContentList;

    /** 副本附件地址 */
    private List<String> duplicateUrlList;

    /** 证照模板副本表单内容 */
    private List<String> dupFormContentList;

    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** 开始 证照目录ID */
    private Long catalogIdStart;

    /** 结束 证照目录ID */
    private Long catalogIdEnd;

    /** 增加 证照目录ID */
    private Long catalogIdIncrement;

    /** 证照目录ID列表 */
    private List <Long> catalogIdList;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<ApplyLogQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<ApplyLogQuery> andConditionList;

    public ApplyLogQuery(){}

    /**
     * 获取 开始 序号，主键，自增长
     * @return idStart
     */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
     * 设置 开始 序号，主键，自增长
     * @param idStart
     */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
     * 获取 结束 序号，主键，自增长
     * @return $idEnd
     */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
     * 设置 结束 序号，主键，自增长
     * @param idEnd
     */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
     * 获取 增加 序号，主键，自增长
     * @return idIncrement
     */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
     * 设置 增加 序号，主键，自增长
     * @param idIncrement
     */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
     * 获取 序号，主键，自增长
     * @return idList
     */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idList
     */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
     * 获取 证件编号
     * @return certificateCodeList
     */
    public List<String> getCertificateCodeList(){
        return this.certificateCodeList;
    }

    /**
     * 设置 证件编号
     * @param certificateCodeList
     */
    public void setCertificateCodeList(List<String> certificateCodeList){
        this.certificateCodeList = certificateCodeList;
    }
    /**
     * 获取 证件名称
     * @return certificateNameList
     */
    public List<String> getCertificateNameList(){
        return this.certificateNameList;
    }

    /**
     * 设置 证件名称
     * @param certificateNameList
     */
    public void setCertificateNameList(List<String> certificateNameList){
        this.certificateNameList = certificateNameList;
    }
    /**
     * 获取 开始 颁发时间
     * @return issueTimeStart
     */
    public String getIssueTimeStart(){
        return this.issueTimeStart;
    }

    /**
     * 设置 开始 颁发时间
     * @param issueTimeStart
     */
    public void setIssueTimeStart(String issueTimeStart){
        this.issueTimeStart = issueTimeStart;
    }

    /**
     * 获取 结束 颁发时间
     * @return issueTimeEnd
     */
    public String getIssueTimeEnd(){
        return this.issueTimeEnd;
    }

    /**
     * 设置 结束 颁发时间
     * @param issueTimeEnd
     */
    public void setIssueTimeEnd(String issueTimeEnd){
        this.issueTimeEnd = issueTimeEnd;
    }

    /**
     * 获取 取件人姓名
     * @return pickerNameList
     */
    public List<String> getPickerNameList(){
        return this.pickerNameList;
    }

    /**
     * 设置 取件人姓名
     * @param pickerNameList
     */
    public void setPickerNameList(List<String> pickerNameList){
        this.pickerNameList = pickerNameList;
    }
    /**
     * 获取 取件人证件号码
     * @return pickerIDCardNoList
     */
    public List<String> getPickerIDCardNoList(){
        return this.pickerIDCardNoList;
    }

    /**
     * 设置 取件人证件号码
     * @param pickerIDCardNoList
     */
    public void setPickerIDCardNoList(List<String> pickerIDCardNoList){
        this.pickerIDCardNoList = pickerIDCardNoList;
    }
    /**
     * 获取 开始 持有者类型，1：自然人，2：法人，3：自然人法人
     * @return holderTypeStart
     */
    public Integer getHolderTypeStart(){
        return this.holderTypeStart;
    }

    /**
     * 设置 开始 持有者类型，1：自然人，2：法人，3：自然人法人
     * @param holderTypeStart
     */
    public void setHolderTypeStart(Integer holderTypeStart){
        this.holderTypeStart = holderTypeStart;
    }

    /**
     * 获取 结束 持有者类型，1：自然人，2：法人，3：自然人法人
     * @return $holderTypeEnd
     */
    public Integer getHolderTypeEnd(){
        return this.holderTypeEnd;
    }

    /**
     * 设置 结束 持有者类型，1：自然人，2：法人，3：自然人法人
     * @param holderTypeEnd
     */
    public void setHolderTypeEnd(Integer holderTypeEnd){
        this.holderTypeEnd = holderTypeEnd;
    }

    /**
     * 获取 增加 持有者类型，1：自然人，2：法人，3：自然人法人
     * @return holderTypeIncrement
     */
    public Integer getHolderTypeIncrement(){
        return this.holderTypeIncrement;
    }

    /**
     * 设置 增加 持有者类型，1：自然人，2：法人，3：自然人法人
     * @param holderTypeIncrement
     */
    public void setHolderTypeIncrement(Integer holderTypeIncrement){
        this.holderTypeIncrement = holderTypeIncrement;
    }

    /**
     * 获取 持有者类型，1：自然人，2：法人，3：自然人法人
     * @return holderTypeList
     */
    public List<Integer> getHolderTypeList(){
        return this.holderTypeList;
    }

    /**
     * 设置 持有者类型，1：自然人，2：法人，3：自然人法人
     * @param holderTypeList
     */
    public void setHolderTypeList(List<Integer> holderTypeList){
        this.holderTypeList = holderTypeList;
    }

    /**
     * 获取 开始 持有者证件类型，1：身份证，2：组织机构代码等
     * @return holderIdTypeStart
     */
    public Integer getHolderIdTypeStart(){
        return this.holderIdTypeStart;
    }

    /**
     * 设置 开始 持有者证件类型，1：身份证，2：组织机构代码等
     * @param holderIdTypeStart
     */
    public void setHolderIdTypeStart(Integer holderIdTypeStart){
        this.holderIdTypeStart = holderIdTypeStart;
    }

    /**
     * 获取 结束 持有者证件类型，1：身份证，2：组织机构代码等
     * @return $holderIdTypeEnd
     */
    public Integer getHolderIdTypeEnd(){
        return this.holderIdTypeEnd;
    }

    /**
     * 设置 结束 持有者证件类型，1：身份证，2：组织机构代码等
     * @param holderIdTypeEnd
     */
    public void setHolderIdTypeEnd(Integer holderIdTypeEnd){
        this.holderIdTypeEnd = holderIdTypeEnd;
    }

    /**
     * 获取 增加 持有者证件类型，1：身份证，2：组织机构代码等
     * @return holderIdTypeIncrement
     */
    public Integer getHolderIdTypeIncrement(){
        return this.holderIdTypeIncrement;
    }

    /**
     * 设置 增加 持有者证件类型，1：身份证，2：组织机构代码等
     * @param holderIdTypeIncrement
     */
    public void setHolderIdTypeIncrement(Integer holderIdTypeIncrement){
        this.holderIdTypeIncrement = holderIdTypeIncrement;
    }

    /**
     * 获取 持有者证件类型，1：身份证，2：组织机构代码等
     * @return holderIdTypeList
     */
    public List<Integer> getHolderIdTypeList(){
        return this.holderIdTypeList;
    }

    /**
     * 设置 持有者证件类型，1：身份证，2：组织机构代码等
     * @param holderIdTypeList
     */
    public void setHolderIdTypeList(List<Integer> holderIdTypeList){
        this.holderIdTypeList = holderIdTypeList;
    }

    /**
     * 获取 持有者名称
     * @return holderNameList
     */
    public List<String> getHolderNameList(){
        return this.holderNameList;
    }

    /**
     * 设置 持有者名称
     * @param holderNameList
     */
    public void setHolderNameList(List<String> holderNameList){
        this.holderNameList = holderNameList;
    }
    /**
     * 获取 持有者证件号码
     * @return holderIDCardNoList
     */
    public List<String> getHolderIDCardNoList(){
        return this.holderIDCardNoList;
    }

    /**
     * 设置 持有者证件号码
     * @param holderIDCardNoList
     */
    public void setHolderIDCardNoList(List<String> holderIDCardNoList){
        this.holderIDCardNoList = holderIDCardNoList;
    }
    /**
     * 获取 企业名称
     * @return enterpriseNamList
     */
    public List<String> getEnterpriseNamList(){
        return this.enterpriseNamList;
    }

    /**
     * 设置 企业名称
     * @param enterpriseNamList
     */
    public void setEnterpriseNamList(List<String> enterpriseNamList){
        this.enterpriseNamList = enterpriseNamList;
    }
    /**
     * 获取 开始 有效期起始
     * @return validityStartStart
     */
    public String getValidityStartStart(){
        return this.validityStartStart;
    }

    /**
     * 设置 开始 有效期起始
     * @param validityStartStart
     */
    public void setValidityStartStart(String validityStartStart){
        this.validityStartStart = validityStartStart;
    }

    /**
     * 获取 结束 有效期起始
     * @return validityStartEnd
     */
    public String getValidityStartEnd(){
        return this.validityStartEnd;
    }

    /**
     * 设置 结束 有效期起始
     * @param validityStartEnd
     */
    public void setValidityStartEnd(String validityStartEnd){
        this.validityStartEnd = validityStartEnd;
    }

    /**
     * 获取 开始 有效期截止
     * @return validityEndStart
     */
    public String getValidityEndStart(){
        return this.validityEndStart;
    }

    /**
     * 设置 开始 有效期截止
     * @param validityEndStart
     */
    public void setValidityEndStart(String validityEndStart){
        this.validityEndStart = validityEndStart;
    }

    /**
     * 获取 结束 有效期截止
     * @return validityEndEnd
     */
    public String getValidityEndEnd(){
        return this.validityEndEnd;
    }

    /**
     * 设置 结束 有效期截止
     * @param validityEndEnd
     */
    public void setValidityEndEnd(String validityEndEnd){
        this.validityEndEnd = validityEndEnd;
    }

    /**
     * 获取 专网ID
     * @return privateIDList
     */
    public List<String> getPrivateIDList(){
        return this.privateIDList;
    }

    /**
     * 设置 专网ID
     * @param privateIDList
     */
    public void setPrivateIDList(List<String> privateIDList){
        this.privateIDList = privateIDList;
    }
    /**
     * 获取 正本附件地址
     * @return originalUrlList
     */
    public List<String> getOriginalUrlList(){
        return this.originalUrlList;
    }

    /**
     * 设置 正本附件地址
     * @param originalUrlList
     */
    public void setOriginalUrlList(List<String> originalUrlList){
        this.originalUrlList = originalUrlList;
    }
    /**
     * 获取 证照模板正本表单内容
     * @return oriFormContentList
     */
    public List<String> getOriFormContentList(){
        return this.oriFormContentList;
    }

    /**
     * 设置 证照模板正本表单内容
     * @param oriFormContentList
     */
    public void setOriFormContentList(List<String> oriFormContentList){
        this.oriFormContentList = oriFormContentList;
    }
    /**
     * 获取 副本附件地址
     * @return duplicateUrlList
     */
    public List<String> getDuplicateUrlList(){
        return this.duplicateUrlList;
    }

    /**
     * 设置 副本附件地址
     * @param duplicateUrlList
     */
    public void setDuplicateUrlList(List<String> duplicateUrlList){
        this.duplicateUrlList = duplicateUrlList;
    }
    /**
     * 获取 证照模板副本表单内容
     * @return dupFormContentList
     */
    public List<String> getDupFormContentList(){
        return this.dupFormContentList;
    }

    /**
     * 设置 证照模板副本表单内容
     * @param dupFormContentList
     */
    public void setDupFormContentList(List<String> dupFormContentList){
        this.dupFormContentList = dupFormContentList;
    }
    /**
     * 获取 开始 创建用户
     * @return createUserIdStart
     */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
     * 获取 结束 创建用户
     * @return $createUserIdEnd
     */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
     * 获取 增加 创建用户
     * @return createUserIdIncrement
     */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
     * 获取 创建用户
     * @return createUserIdList
     */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
     * 获取 开始 创建时间
     * @return createTimeStart
     */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
     * 设置 开始 创建时间
     * @param createTimeStart
     */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
     * 获取 结束 创建时间
     * @return createTimeEnd
     */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
     * 设置 结束 创建时间
     * @param createTimeEnd
     */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
     * 获取 开始 更新用户
     * @return updateUserIdStart
     */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
     * 获取 结束 更新用户
     * @return $updateUserIdEnd
     */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
     * 获取 增加 更新用户
     * @return updateUserIdIncrement
     */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
     * 获取 更新用户
     * @return updateUserIdList
     */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
     * 获取 开始 更新时间
     * @return updateTimeStart
     */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
     * 设置 开始 更新时间
     * @param updateTimeStart
     */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
     * 获取 结束 更新时间
     * @return updateTimeEnd
     */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
     * 设置 结束 更新时间
     * @param updateTimeEnd
     */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
     * 获取 开始 证照目录ID
     * @return catalogIdStart
     */
    public Long getCatalogIdStart(){
        return this.catalogIdStart;
    }

    /**
     * 设置 开始 证照目录ID
     * @param catalogIdStart
     */
    public void setCatalogIdStart(Long catalogIdStart){
        this.catalogIdStart = catalogIdStart;
    }

    /**
     * 获取 结束 证照目录ID
     * @return $catalogIdEnd
     */
    public Long getCatalogIdEnd(){
        return this.catalogIdEnd;
    }

    /**
     * 设置 结束 证照目录ID
     * @param catalogIdEnd
     */
    public void setCatalogIdEnd(Long catalogIdEnd){
        this.catalogIdEnd = catalogIdEnd;
    }

    /**
     * 获取 增加 证照目录ID
     * @return catalogIdIncrement
     */
    public Long getCatalogIdIncrement(){
        return this.catalogIdIncrement;
    }

    /**
     * 设置 增加 证照目录ID
     * @param catalogIdIncrement
     */
    public void setCatalogIdIncrement(Long catalogIdIncrement){
        this.catalogIdIncrement = catalogIdIncrement;
    }

    /**
     * 获取 证照目录ID
     * @return catalogIdList
     */
    public List<Long> getCatalogIdList(){
        return this.catalogIdList;
    }

    /**
     * 设置 证照目录ID
     * @param catalogIdList
     */
    public void setCatalogIdList(List<Long> catalogIdList){
        this.catalogIdList = catalogIdList;
    }

    /**
     * 设置  序号，主键，自增长
     * @param id
     */
    public ApplyLogQuery id(Long id){
        setId(id);
        return this;
    }

    /**
     * 设置 开始 序号，主键，自增长
     * @param idStart
     */
    public ApplyLogQuery idStart(Long idStart){
        this.idStart = idStart;
        return this;
    }

    /**
     * 设置 结束 序号，主键，自增长
     * @param idEnd
     */
    public ApplyLogQuery idEnd(Long idEnd){
        this.idEnd = idEnd;
        return this;
    }

    /**
     * 设置 增加 序号，主键，自增长
     * @param idIncrement
     */
    public ApplyLogQuery idIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
        return this;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idList
     */
    public ApplyLogQuery idList(List<Long> idList){
        this.idList = idList;
        return this;
    }


    /**
     * 设置 证件编号
     * @param certificateCode
     */
    public ApplyLogQuery certificateCode(String certificateCode){
        setCertificateCode(certificateCode);
        return this;
    }

    /**
     * 设置 证件编号
     * @param certificateCodeList
     */
    public ApplyLogQuery certificateCodeList(List<String> certificateCodeList){
        this.certificateCodeList = certificateCodeList;
        return this;
    }


    /**
     * 设置 证件名称
     * @param certificateName
     */
    public ApplyLogQuery certificateName(String certificateName){
        setCertificateName(certificateName);
        return this;
    }

    /**
     * 设置 证件名称
     * @param certificateNameList
     */
    public ApplyLogQuery certificateNameList(List<String> certificateNameList){
        this.certificateNameList = certificateNameList;
        return this;
    }



    /**
     * 设置 取件人姓名
     * @param pickerName
     */
    public ApplyLogQuery pickerName(String pickerName){
        setPickerName(pickerName);
        return this;
    }

    /**
     * 设置 取件人姓名
     * @param pickerNameList
     */
    public ApplyLogQuery pickerNameList(List<String> pickerNameList){
        this.pickerNameList = pickerNameList;
        return this;
    }


    /**
     * 设置 取件人证件号码
     * @param pickerIDCardNo
     */
    public ApplyLogQuery pickerIDCardNo(String pickerIDCardNo){
        setPickerIDCardNo(pickerIDCardNo);
        return this;
    }

    /**
     * 设置 取件人证件号码
     * @param pickerIDCardNoList
     */
    public ApplyLogQuery pickerIDCardNoList(List<String> pickerIDCardNoList){
        this.pickerIDCardNoList = pickerIDCardNoList;
        return this;
    }

    /**
     * 设置  持有者类型，1：自然人，2：法人，3：自然人法人
     * @param holderType
     */
    public ApplyLogQuery holderType(Integer holderType){
        setHolderType(holderType);
        return this;
    }

    /**
     * 设置 开始 持有者类型，1：自然人，2：法人，3：自然人法人
     * @param holderTypeStart
     */
    public ApplyLogQuery holderTypeStart(Integer holderTypeStart){
        this.holderTypeStart = holderTypeStart;
        return this;
    }

    /**
     * 设置 结束 持有者类型，1：自然人，2：法人，3：自然人法人
     * @param holderTypeEnd
     */
    public ApplyLogQuery holderTypeEnd(Integer holderTypeEnd){
        this.holderTypeEnd = holderTypeEnd;
        return this;
    }

    /**
     * 设置 增加 持有者类型，1：自然人，2：法人，3：自然人法人
     * @param holderTypeIncrement
     */
    public ApplyLogQuery holderTypeIncrement(Integer holderTypeIncrement){
        this.holderTypeIncrement = holderTypeIncrement;
        return this;
    }

    /**
     * 设置 持有者类型，1：自然人，2：法人，3：自然人法人
     * @param holderTypeList
     */
    public ApplyLogQuery holderTypeList(List<Integer> holderTypeList){
        this.holderTypeList = holderTypeList;
        return this;
    }

    /**
     * 设置  持有者证件类型，1：身份证，2：组织机构代码等
     * @param holderIdType
     */
    public ApplyLogQuery holderIdType(Integer holderIdType){
        setHolderIdType(holderIdType);
        return this;
    }

    /**
     * 设置 开始 持有者证件类型，1：身份证，2：组织机构代码等
     * @param holderIdTypeStart
     */
    public ApplyLogQuery holderIdTypeStart(Integer holderIdTypeStart){
        this.holderIdTypeStart = holderIdTypeStart;
        return this;
    }

    /**
     * 设置 结束 持有者证件类型，1：身份证，2：组织机构代码等
     * @param holderIdTypeEnd
     */
    public ApplyLogQuery holderIdTypeEnd(Integer holderIdTypeEnd){
        this.holderIdTypeEnd = holderIdTypeEnd;
        return this;
    }

    /**
     * 设置 增加 持有者证件类型，1：身份证，2：组织机构代码等
     * @param holderIdTypeIncrement
     */
    public ApplyLogQuery holderIdTypeIncrement(Integer holderIdTypeIncrement){
        this.holderIdTypeIncrement = holderIdTypeIncrement;
        return this;
    }

    /**
     * 设置 持有者证件类型，1：身份证，2：组织机构代码等
     * @param holderIdTypeList
     */
    public ApplyLogQuery holderIdTypeList(List<Integer> holderIdTypeList){
        this.holderIdTypeList = holderIdTypeList;
        return this;
    }


    /**
     * 设置 持有者名称
     * @param holderName
     */
    public ApplyLogQuery holderName(String holderName){
        setHolderName(holderName);
        return this;
    }

    /**
     * 设置 持有者名称
     * @param holderNameList
     */
    public ApplyLogQuery holderNameList(List<String> holderNameList){
        this.holderNameList = holderNameList;
        return this;
    }


    /**
     * 设置 持有者证件号码
     * @param holderIDCardNo
     */
    public ApplyLogQuery holderIDCardNo(String holderIDCardNo){
        setHolderIDCardNo(holderIDCardNo);
        return this;
    }

    /**
     * 设置 持有者证件号码
     * @param holderIDCardNoList
     */
    public ApplyLogQuery holderIDCardNoList(List<String> holderIDCardNoList){
        this.holderIDCardNoList = holderIDCardNoList;
        return this;
    }


    /**
     * 设置 企业名称
     * @param enterpriseNam
     */
    public ApplyLogQuery enterpriseNam(String enterpriseNam){
        setEnterpriseNam(enterpriseNam);
        return this;
    }

    /**
     * 设置 企业名称
     * @param enterpriseNamList
     */
    public ApplyLogQuery enterpriseNamList(List<String> enterpriseNamList){
        this.enterpriseNamList = enterpriseNamList;
        return this;
    }




    /**
     * 设置 专网ID
     * @param privateID
     */
    public ApplyLogQuery privateID(String privateID){
        setPrivateID(privateID);
        return this;
    }

    /**
     * 设置 专网ID
     * @param privateIDList
     */
    public ApplyLogQuery privateIDList(List<String> privateIDList){
        this.privateIDList = privateIDList;
        return this;
    }


    /**
     * 设置 正本附件地址
     * @param originalUrl
     */
    public ApplyLogQuery originalUrl(String originalUrl){
        setOriginalUrl(originalUrl);
        return this;
    }

    /**
     * 设置 正本附件地址
     * @param originalUrlList
     */
    public ApplyLogQuery originalUrlList(List<String> originalUrlList){
        this.originalUrlList = originalUrlList;
        return this;
    }


    /**
     * 设置 证照模板正本表单内容
     * @param oriFormContent
     */
    public ApplyLogQuery oriFormContent(String oriFormContent){
        setOriFormContent(oriFormContent);
        return this;
    }

    /**
     * 设置 证照模板正本表单内容
     * @param oriFormContentList
     */
    public ApplyLogQuery oriFormContentList(List<String> oriFormContentList){
        this.oriFormContentList = oriFormContentList;
        return this;
    }


    /**
     * 设置 副本附件地址
     * @param duplicateUrl
     */
    public ApplyLogQuery duplicateUrl(String duplicateUrl){
        setDuplicateUrl(duplicateUrl);
        return this;
    }

    /**
     * 设置 副本附件地址
     * @param duplicateUrlList
     */
    public ApplyLogQuery duplicateUrlList(List<String> duplicateUrlList){
        this.duplicateUrlList = duplicateUrlList;
        return this;
    }


    /**
     * 设置 证照模板副本表单内容
     * @param dupFormContent
     */
    public ApplyLogQuery dupFormContent(String dupFormContent){
        setDupFormContent(dupFormContent);
        return this;
    }

    /**
     * 设置 证照模板副本表单内容
     * @param dupFormContentList
     */
    public ApplyLogQuery dupFormContentList(List<String> dupFormContentList){
        this.dupFormContentList = dupFormContentList;
        return this;
    }

    /**
     * 设置  创建用户
     * @param createUserId
     */
    public ApplyLogQuery createUserId(Long createUserId){
        setCreateUserId(createUserId);
        return this;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public ApplyLogQuery createUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
        return this;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public ApplyLogQuery createUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public ApplyLogQuery createUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public ApplyLogQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
        return this;
    }


    /**
     * 设置  更新用户
     * @param updateUserId
     */
    public ApplyLogQuery updateUserId(Long updateUserId){
        setUpdateUserId(updateUserId);
        return this;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public ApplyLogQuery updateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
        return this;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public ApplyLogQuery updateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public ApplyLogQuery updateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
        return this;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public ApplyLogQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
        return this;
    }


    /**
     * 设置  证照目录ID
     * @param catalogId
     */
    public ApplyLogQuery catalogId(Long catalogId){
        setCatalogId(catalogId);
        return this;
    }

    /**
     * 设置 开始 证照目录ID
     * @param catalogIdStart
     */
    public ApplyLogQuery catalogIdStart(Long catalogIdStart){
        this.catalogIdStart = catalogIdStart;
        return this;
    }

    /**
     * 设置 结束 证照目录ID
     * @param catalogIdEnd
     */
    public ApplyLogQuery catalogIdEnd(Long catalogIdEnd){
        this.catalogIdEnd = catalogIdEnd;
        return this;
    }

    /**
     * 设置 增加 证照目录ID
     * @param catalogIdIncrement
     */
    public ApplyLogQuery catalogIdIncrement(Long catalogIdIncrement){
        this.catalogIdIncrement = catalogIdIncrement;
        return this;
    }

    /**
     * 设置 证照目录ID
     * @param catalogIdList
     */
    public ApplyLogQuery catalogIdList(List<Long> catalogIdList){
        this.catalogIdList = catalogIdList;
        return this;
    }

    /**
     * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @return orConditionList
     */
    public List<ApplyLogQuery> getOrConditionList(){
        return this.orConditionList;
    }

    /**
     * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @param orConditionList
     */
    public void setOrConditionList(List<ApplyLogQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
     * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @return andConditionList
     */
    public List<ApplyLogQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
     * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @param andConditionList
     */
    public void setAndConditionList(List<ApplyLogQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}